Ubuntu

[arrandale] [i915] DELL E6510: blank screen on boot (Intel GPU)

Reported by Francisco Cribari on 2010-07-01
350
This bug affects 56 people
Affects Status Importance Assigned to Milestone
linux (Fedora)
Fix Released
Medium
linux (Ubuntu)
High
Andy Whitcroft
Lucid
High
Unassigned
Maverick
High
Unassigned
Natty
High
Andy Whitcroft
linux (openSUSE)
Won't Fix
Medium

Bug Description

I am running Ubuntu Linux 10.04 64 bits on a DELL 6510 notebook with integrated Intel graphics card. The machine only boots in a low-graphics mode. I detected the following error message in the logs:

(EE) intel(0): No kernel modesetting driver detected

I used i915,modeset=0 as a kernel option but I am no longer using. The xorg.config file I am using is

Section "Device"
Identifier "Configured Video Device"
BusID "PCI:0:2:0"
Driver "intel"
Option "AccelMethod" "UXA"
EndSection

Section "Module"
Load "glx"
Load "dri"
Load "extmod"
Load "record"
Load "dbe"
Load "GLcore"
Load "xtrap"
Load "freetype"
EndSection

Section "Monitor"
Identifier "Configured Monitor"
EndSection

Section "Screen"
Identifier "Default Screen"
Monitor "Configured Monitor"
Device "Configured Video Device"
DefaultDepth 24
EndSection

Section "DRI"
Mode 0666
EndSection

My kernel is

Linux darwin 2.6.32-23-generic #37-Ubuntu SMP Fri Jun 11 08:03:28 UTC 2010 x86_64 GNU/Linux

The intel driver:

ii xserver-xorg-video-intel 2:2.12.0+git20100628.17884af4-0ubuntu0sarvatt~lucid X.Org X server -- Intel i8xx, i9xx display d
ii xserver-xorg-video-intel-dbg 2:2.12.0+git20100628.17884af4-0ubuntu0sarvatt~lucid X.Org X server -- Intel i8xx, i9xx display d

Any suggestions? Thanks.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-2.6.32-23-generic 2.6.32-23.37
Regression: No
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.32-23.37-generic 2.6.32.15+drm33.5
Uname: Linux 2.6.32-23-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: cribari 1680 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf6960000 irq 22'
   Mixer name : 'Intel G45 DEVIBX'
   Components : 'HDA:111d76d5,1028040b,00100104 HDA:80862804,80860101,00100000'
   Controls : 22
   Simple ctrls : 13
Date: Wed Jun 30 22:11:48 2010
HibernationDevice: RESUME=UUID=0be7bd77-4b1d-4d52-9714-d179a2f4e4e4
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100427.1)
MachineType: Dell Inc. Latitude E6510
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-23-generic root=UUID=e54980ae-4e77-4c7d-81f0-7f5c7a599611 ro quiet splash
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.34.1
SourcePackage: linux
dmi.bios.date: 05/28/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A03
dmi.board.name: 02K3Y4
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA03:bd05/28/2010:svnDellInc.:pnLatitudeE6510:pvr0001:rvnDellInc.:rn02K3Y4:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E6510
dmi.product.version: 0001
dmi.sys.vendor: Dell Inc.

Francisco Cribari (cribari) wrote :
Diego Schulz (dschulzg) wrote :

The problem apparently is in the Intel graphics driver.
Meanwhile I'm using the vesa driver, I had to edit the /etc/default/grub file:

## Original:
## GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
## Now:
GRUB_CMDLINE_LINUX_DEFAULT="quiet nomodeset xforcevesa acpi_osi=Linux"

I'm not sure of the effect of

  acpi_osi=Linux

but I couldn't even boot without nomodeset and xforcevesa options.

Jeremy Foshee (jeremyfoshee) wrote :

Hi Francisco,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete

I have the same machine as Francisco, the submitter. I have tested the upstream kernel 2.6.34 and verified that the bug is still present. Then I applied this patch to the upstream kernel:
http://lists.freedesktop.org/archives/intel-gfx/2010-June/007232.html
and verified that it fixes the bug. I recommend that the Ubuntu 10.04 LTS kernel adopt this patch.

tags: removed: needs-upstream-testing

After discussing this with Francisco, I removed the needs-upstream-testing tag.

Francisco Cribari (cribari) wrote :

I can now boot into X using the following kernel:

cribari@darwin:~$ uname -a
Linux darwin 2.6.35-999-generic #201007081234 SMP Thu Jul 8 11:37:16 UTC 2010 x86_64 GNU/Linux

I am using the kernel options "quiet splash".

I have a problem, though. I get a blank screen after I suspend and resume my notebook.

Francisco Cribari (cribari) wrote :

I believe the suspend/resume problem is related to this bug:

https://bugs.freedesktop.org/show_bug.cgi?id=28739

Francisco Cribari (cribari) wrote :

The kernel I am now running is

cribari@darwin:~$ uname -a
Linux darwin 2.6.35-020635rc6-generic #020635rc6 SMP Fri Jul 23 10:08:28 UTC 2010 x86_64 GNU/Linux

I am able to boot into X with this kernel. However, when I boot with the newer linux-image-2.6.35-14-generic, I get a blank screen. I have also tried to boot Ubuntu 10.10 alpha 3 from a CD and got a blank screen.

Suggestions are welcome. Thanks.

Francisco Cribari (cribari) wrote :

Two additional info:

1) The kernel options I am using are: quiet splash acpi_sleep=s3_bios .

2) I tried to boot from the Ubuntu 10.10 alpha 3 CD and also got a blank screen.

Matthias Kunst (matthiaskunst) wrote :

I can confirm the bug on a Dell Latitude E6510 with intel integrated graphics and the FullHD display (1920x1080).
With the intel driver the screen stays black instead of showing the plymouth screen with the current 2.6.32 kernel in Lucid
and equally on the kernel images 2.6.35-14 up to 2.6.35-16 from the kernel-ppa.
On the other hand I got the intel driver working with the 2.6.35-12 kernel package from the kernel-ppa ( 2.6.35-12.17~lucid1).
So there seems to be a solution that was removed again in the latest kernel release packages.

Manuel Carro (mcarro) wrote :

According to this comment it

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/578673/comments/98

the bug disappeared in 2.6.35rc6 but was reintroduced in 2.6.35 final. I am running kernel 2.6.35-020635rc6-generic and I can boot fine into X Windows in a dell latitude e6510 (in 32 bits mode). I can suspend and resume with the acpi_sleep=s3_bios kernel option. But I cannot hibernate (wouln't hibernate - it just gets stuck) and more importantly I cannot connect an external monitor / beamer / projector / etc. This is a big drawback for me; the machine just hangs when xrandr is called with the external monitor attached.

Where did you get the pacakges for kernel 2.6.35-12.17~lucid1? I have been unable to locate them.

Thanks in advance.

I believe you can get recent kernels from

http://kernel.ubuntu.com/~kernel-ppa/mainline/

<http://kernel.ubuntu.com/~kernel-ppa/mainline/>and also from

http://kernel.ubuntu.com/~kernel-ppa/mainline/daily/current/

<http://kernel.ubuntu.com/~kernel-ppa/mainline/daily/current/>I was able to
boot to X up until RC6 but not using the 2.6.35 kernel. I have tried to boot
from CD using 10.10 alpha 3, but I got a blank screen.

I haven't tried to hibernate or to plug in an external monitor. Suspend
works for me w/ with the acpi_sleep=s3_bios kernel option.

I hope they will be able to fix these bugs prior to the 10.10 launch.

On Thu, Aug 19, 2010 at 12:13 PM, Manuel Carro <email address hidden>wrote:

> According to this comment it
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/578673/comments/98
>
> the bug disappeared in 2.6.35rc6 but was reintroduced in 2.6.35 final.
> I am running kernel 2.6.35-020635rc6-generic and I can boot fine into X
> Windows in a dell latitude e6510 (in 32 bits mode). I can suspend and
> resume with the acpi_sleep=s3_bios kernel option. But I cannot
> hibernate (wouln't hibernate - it just gets stuck) and more importantly
> I cannot connect an external monitor / beamer / projector / etc. This
> is a big drawback for me; the machine just hangs when xrandr is called
> with the external monitor attached.
>
> Where did you get the pacakges for kernel 2.6.35-12.17~lucid1? I have
> been unable to locate them.
>
> Thanks in advance.
>
> --
> Computer boots in low-graphics mode (intel graphics card)
> https://bugs.launchpad.net/bugs/600453
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Francisco Cribari-Neto, <email address hidden>,
http://sites.google.com/site/cribari

I got 2.6.35-12.17~lucid1 from here:
http://launchpad.net/~kernel-ppa/+archive/ppa.
But it seems it was removed from the ppa later.
I think it is really based on 2.6.35rc6, so it matches the experience of comment 12 as 2.6.35-14 from that ppa came out just after the final 2.6.35-release.

Francisco Cribari (cribari) wrote :

Kernel 2.6.35-17.23~lucid1 also boots to a blank screen (Ubuntu 10.04 64 bits, DELL Latitude E6510 Intel integrated graphics, processor i7).

Francisco Cribari (cribari) wrote :

Tried kernel 2.6.35-18.24~lucid1. It also boots to a blank screen. (DELL 6510, i7, Intel GPU.)

Francisco Cribari (cribari) wrote :

I believe this is the same bug:

https://bugs.freedesktop.org/show_bug.cgi?id=29278

PS. Kernel 2.6.35-19.25~lucid1 also boots to a blank screen.

Francisco Cribari (cribari) wrote :

Ubuntu 10.10 beta boots (from CD) to a blank screen. Hardware: DELL E6510, core i7, Intel GPU, full HD display.

Corona (stefaniefauconnier) wrote :

Confirmed on a Dell E6510, i5 with intel integrated graphics.

Francisco, I think you should change the bug title to something along the lines of "E6510: blank screen on boot" because that's what the problem really is about - the low graphics mode is just a workaround. Maybe you could also change the description to be a bit more specific (e.g. the kernel versions that have this bug).

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
summary: - Computer boots in low-graphics mode (intel graphics card)
+ DELL E6510: blank screen on boot (Intel GPU)

Corona: I followed your suggestion and changed the bug title. It is disappointing, however, to read:

Importance: Undecided
Assigned to: Unassigned

The kernels that work for me are (i) 2.6.32-02063221.201008271307, and (ii) 2.6.35-020635rc6.

I believe this bug is related to

https://bugs.freedesktop.org/show_bug.cgi?id=29278

Finally, a similar bug that affects the E6410 notebook is

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/561802

Let's hope that a developer notices the bug reported here. It is still present in Ubuntu 10.10 beta. Let's hope it gets fixed before October 10, 2010 (10.10 release).

summary: - DELL E6510: blank screen on boot (Intel GPU)
+ [arrandale] [i915] DELL E6510: blank screen on boot (Intel GPU)
Corona (stefaniefauconnier) wrote :

Thanks, Francisco. I added the tags [arrandale] and [i915], I hope the bug will attract more attention this way. If anybody is following this bug report, please comment on your experience.

I believe it's exactly the same bug as the one in https://bugs.freedesktop.org/show_bug.cgi?id=29278 .

For the moment I'm running a modified 2.6.35 kernel. I tweaked it to support the e6510's card reader, and I also fixed the blank screen issue by reverting the patch mentioned here https://bugs.freedesktop.org/show_bug.cgi?id=29278#c5 . Apparently, this is not really a proper fix, but it works and it supports external monitors. For suspend and resume, I use the workaround mentioned here https://bugs.launchpad.net/ubuntu/+source/linux/+bug/578673?comments=all . I'm aware that not all this information is relevant to the issue reported here, but I just wanted to give an overview of issues and possible workarounds.

Manuel Carro (mcarro) wrote :

@Corona: I'm running a drm-intel kernel (2.6.36-rc2) with the patch you mention reverted. Works fine, including external monitors (in a somewhat brittle way, I would say). Card readers are not a high priority for me now - I go around with a small USB card reader. Suspend works with the acpi_sleep kernel option. My current biggest problem is that I cannot make VirtualBox run reliably.

I did not know 2.6.35 supported external monitors. Which release are you using? I may give it a try.

Corona (stefaniefauconnier) wrote :

Thanks, Manuel. I don't remember exactly which release my kernel is based on, I just downloaded the drm-intel-next branch of 2.6.35 and gave it a try.

Manuel Carro (mcarro) wrote :

Corona: can your kernel run VirtualBox?

Corona (stefaniefauconnier) wrote :

never tried it, sorry.

crazydave (crazy-dave) wrote :

Same problem here.

I installed with the actual kubuntu desktop alternate CD (32bit) and no problem with the kernel 2.6.32-24-generic #39
But with the next update to the image-kernel 2.6.32-24-generic #42 the screen is blank after reboot.

Francisco Cribari (cribari) wrote :

Kernel 2.6.35-20.29~lucid1 also boots to a blank screen. Hardware is DELL 6510, core i7, full HD display, Intel integrated graphics, bios A03.

Changed in linux (Ubuntu):
importance: Undecided → High
aanno (thomas-pasch) wrote :

Vanilla 2.6.36-rc4 (from kernel.org) partly fixes this issue (at least on my machine): After switching to a console and back to X11, display is working as expected. However, I still see nothing on the (virtual) consoles...

Also see http://lwn.net/Articles/404632/

Francisco Cribari (cribari) wrote :

Kernel 2.6.35-21.30~lucid1 also boots to a blank screen. Hardware is DELL E6510, core i7, full HD display, Intel GPU, bios A03.

Francisco Cribari (cribari) wrote :

Kernel 2.6.36-997.201009160905 also boots to a blank screen. Hardware is DELL E6510, core i7, full HD display, Intel GPU, bios A03.

Manuel Carro (mcarro) wrote :

Kernel 2.6.36-rc4 from http://kernel.ubuntu.com/~kernel-ppa/mainline/ works quite well, although sometimes (when the panel is off) one has to switch to the console and then to the graphic display.

Francisco Cribari (cribari) wrote :

Kernel 2.6.35-22.33~lucid1 also boots to a blank screen. Hardware is DELL E6510, core i7, full HD display, Intel GPU, bios A03.

Jerone Young (jerone) wrote :

The issue is nauvous driver.

To boot and install add the following to the kernel command line:
nouveau.modeset=0

I have actually spun a special version of 10.04.1 just for E6150. Hope this helps folks out:
http://people.canonical.com/~jerone/special/ottawa-latitude-6510-Nvidia/

Corona (stefaniefauconnier) wrote :

Are you sure this is for intel gpu's, and not nvidia? Nouveau sounds a lot like nvidia to me, this bug is specific to intel integrated graphics. Nvidia chipsets have other issues I believe.

Francisco Cribari (cribari) wrote :

Is there any chance that this will be fixed in 10.10 (to be released on October 10)?

Chris Halse Rogers (raof) wrote :

This issue is specific to E6150 machines with the Intel GPU. E6150 machines with nVidia GPUs may well have different issues.

We're past the final kernel freeze. While there's a slim possibility that it will get into the kernel on the release CDs, more likely is that it'll be fixed in an update.

It would be helpful to test if the kernel from the kernel-team mainline PPA here: http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next/current/ works. That should have the above named commits which fix the E6150, at least for the developer :).

Manuel Carro (mcarro) wrote :

@ #36:

Chris,

what is the relationship between that kernel (http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next/current/) and the rc4 and rc5 for Maverick? (v2.6.36-rc4-maverick and v2.6.36-rc5-maverick), both under http://kernel.ubuntu.com/~kernel-ppa/mainline/? I used rc4 for maybe two weeks and rc5 for a couple of days and they work quite well re. the display. They still need to switch to console then back to graphical display occasionally in my case (Dell Latitude E6510, intel i5, integrated Intel with full HD), but they work nicely otherwise. Would I get anything extra from the drm-intel-next variant? Or would I contribute more if I test the drm-intel-next than if I test the v2.6.36-rc5-maverick version?

Thanks!

Manuel Carro (mcarro) wrote :

A note on #37: somehow v2.6.36-rc5-maverick show a load of 1.7 to 1.9 (given by, e.g., uptime or htop) when nothing special is running and gkrellm does not show special CPU activity. The laptop does not seem to actually be under that load - no special heat and no fans started. Might it be that the kernel is reporting a wrong load? What could be a good place to report this?

Chris Halse Rogers (raof) wrote :

From what I can tell, the patches I specifically named above have not made it into any of the 2.6.36 rcs yet; as such, it would be useful to test the drm-intel-next kernel.

John Lenton (chipaca) wrote :

I tested the drm-intel-next kernel and got no X at all; had to add nomodeset at boot and use the vesa driver to get X.
With 2.6.36-020636rc3 I get X after switching to console and back, but no console and the colours on X were "wrong" (32 bits, but 4/4/4 apparently).
Downloading 2.6.36-020636rc5 to try my luck with that :)

tags: added: patch
Changed in linux (openSUSE):
importance: Unknown → Medium
status: Unknown → Confirmed
Changed in linux (Ubuntu Natty):
assignee: nobody → Ubuntu Kernel Team (ubuntu-kernel-team)
Changed in linux (Fedora):
status: Unknown → Fix Released
Ara Pulido (apulido) on 2011-01-25
tags: added: blocks-hwcert
Andy Whitcroft (apw) on 2011-02-02
Changed in linux (Ubuntu Natty):
status: Confirmed → Incomplete
Changed in linux (Fedora):
importance: Unknown → Medium
Andy Whitcroft (apw) on 2011-02-11
Changed in linux (Ubuntu Natty):
status: Incomplete → In Progress
status: In Progress → Incomplete
Changed in linux (Ubuntu Natty):
status: Incomplete → Opinion
status: Opinion → Confirmed
Changed in linux (Ubuntu Natty):
status: Confirmed → Triaged
assignee: Ubuntu Kernel Team (ubuntu-kernel-team) → nobody
Changed in linux (Ubuntu Lucid):
status: New → Triaged
Changed in linux (Ubuntu Maverick):
status: New → Triaged
Andy Whitcroft (apw) on 2011-02-17
Changed in linux (Ubuntu Natty):
status: Triaged → Incomplete
146 comments hidden view all 226 comments

I downloaded and installed kernel "linux-image-2.6.38-4-generic_2.6.38-4.31~lp561802v201102162013_amd64.deb" from link in #185.

It boots normally my Ubuntu 10.04 (lucid) with internal LCD panel. I don't have an external display to test with. It seems to be blinking twice at boot but after that display is working.

Magnus Sandin (muk) wrote :

Tested AMD64 kernel from comment #185 with Dell E6510, Core i5, Full HD.

* Internal LCD works.
* External monitor connected with HDMI/Display Port works.
* External monitor connected with VGA -> NOT Tested.
* Suspend/Resume does not suspend properly, wakes up as soon as it is suspended, however no crashes.

Have a similar problem with brightness as in comment #186. When reducing back light one step, it first reduces one step and after like 500ms it reduces another step...

hleong (excel28) wrote :

#185 works with docking station =D

Nischal Rao (rao-nischal) wrote :

Tried the i386 kernel of comment #185 and would like to confirm that:

1. Boot works fine.
2. Suspend / resume works fine.
3. Works great when connected external display.
4. No problem at all using virtualbox 4.0.2

Looks like all problems with E6510 has finally been fixed. :)

Download full text (5.0 KiB)

I would also like to thank you and report everything working OK.
My system is a DELL E6510 with updated Kubuntu 11.04
Running the suggested Kernel from #185 solved the problem for me.

External Monitors are working too as they did with former versions of
Kubuntu.

My system is connected to a DELL docking station.
Internal LCD is @ eDP1 ->
external Monitor via DVI is @HDMI3

No problems during Kernel installation.
Desktop Effects also working -> but at poor performance.

Overall it is a huge step into the right direction -> thank all of you for
your great work making linux useful :)
regards
Chewie

2011/2/18 Nischal Rao <email address hidden>

> Tried the i386 kernel of comment #185 and would like to confirm that:
>
> 1. Boot works fine.
> 2. Suspend / resume works fine.
> 3. Works great when connected external display.
> 4. No problem at all using virtualbox 4.0.2
>
> Looks like all problems with E6510 has finally been fixed. :)
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/600453
>
> Title:
> [arrandale] [i915] DELL E6510: blank screen on boot (Intel GPU)
>
> Status in “linux” package in Ubuntu:
> Incomplete
> Status in “linux” source package in Lucid:
> Triaged
> Status in “linux” source package in Maverick:
> Triaged
> Status in “linux” source package in Natty:
> Incomplete
> Status in “linux” package in Fedora:
> Fix Released
> Status in “linux” package in openSUSE:
> Confirmed
>
> Bug description:
> I am running Ubuntu Linux 10.04 64 bits on a DELL 6510 notebook with
> integrated Intel graphics card. The machine only boots in a low-
> graphics mode. I detected the following error message in the logs:
>
> (EE) intel(0): No kernel modesetting driver detected
>
> I used i915,modeset=0 as a kernel option but I am no longer using. The
> xorg.config file I am using is
>
> Section "Device"
> Identifier "Configured Video Device"
> BusID "PCI:0:2:0"
> Driver "intel"
> Option "AccelMethod" "UXA"
> EndSection
>
> Section "Module"
> Load "glx"
> Load "dri"
> Load "extmod"
> Load "record"
> Load "dbe"
> Load "GLcore"
> Load "xtrap"
> Load "freetype"
> EndSection
>
> Section "Monitor"
> Identifier "Configured Monitor"
> EndSection
>
> Section "Screen"
> Identifier "Default Screen"
> Monitor "Configured Monitor"
> Device "Configured Video Device"
> DefaultDepth 24
> EndSection
>
> Section "DRI"
> Mode 0666
> EndSection
>
> My kernel is
>
> Linux darwin 2.6.32-23-generic #37-Ubuntu SMP Fri Jun 11 08:03:28 UTC
> 2010 x86_64 GNU/Linux
>
> The intel driver:
>
> ii xserver-xorg-video-intel
> 2:2.12.0+git20100628.17884af4-0ubuntu0sarvatt~lucid
> X.Org X server -- Intel i8xx, i9xx display d
> ii xserver-xorg-video-intel-dbg
> 2:2.12.0+git20100628.17884af4-0ubuntu0sarvatt~lucid
> X.Org X server -- Intel i8xx, i9xx display d
>
> Any suggestions? Thanks.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: linux-image-2.6.32-23-generic 2.6.32-23.37
> Regression: No
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.32-23.37-generic 2.6.32.15+drm33.5
> Uname: Linux 2.6.32-23-generic x86_64
> AlsaVers...

Read more...

Andy Whitcroft (apw) wrote :

For those seeing oddities with brightness I think we have an unrelated issue recently in userspace affecting brightness. I am going to get a new bug started for that once I figure out which component to blame.

Changed in linux (Ubuntu Natty):
status: Incomplete → In Progress
Andy Whitcroft (apw) wrote :

Ok the commit tested here is now scheduled for application to 2.6.38, in the meantime I am pulling it into the Natty kerenel and it should be in the next upload. Fix Committed. Thanks all for your testing.

Changed in linux (Ubuntu Natty):
status: In Progress → Fix Committed
assignee: nobody → Andy Whitcroft (apw)
Alfe (alfeberlin) wrote :

After testing now for a second day, no stability issues (X crashes) to report (which is a great relief!).

One issue found: I suspended at work with a second monitor attached, then unplugged the second monitor, went home, tried to resume without a second monitor, got a black screen with backlight. Switching to other consoles worked, but switching back to X just restored the black screen. So I could kill and restart my X from another console, so rebooting wasn't necessary, but of course the session was lost.

I can prevent running into this problem by either unplugging the second monitor (and quickly reconfiguring the X for single-display) before suspending or maybe (didn't test this) by attaching another second monitor before resuming, so there is a workaround.

Cheers, Alfe

John Lenton (chipaca) wrote :

On Fri, 18 Feb 2011 10:20:39 -0000, Alfe <email address hidden> wrote:
> After testing now for a second day, no stability issues (X crashes) to
> report (which is a great relief!).
>
> One issue found: I suspended at work with a second monitor attached,
> then unplugged the second monitor, went home, tried to resume without a
> second monitor, got a black screen with backlight. Switching to other
> consoles worked, but switching back to X just restored the black screen.
> So I could kill and restart my X from another console, so rebooting
> wasn't necessary, but of course the session was lost.
>
> I can prevent running into this problem by either unplugging the second
> monitor (and quickly reconfiguring the X for single-display) before
> suspending or maybe (didn't test this) by attaching another second
> monitor before resuming, so there is a workaround.

did you try hitting the 'change monitor' button (or whatever it's
called; Fn+F8 on my e6510) in X?

Manuel Carro (manuelcarro) wrote :

Alfe,

besides Fn+F8, as suggested, changing the brightness may also do the trick (it worked for me in other kernels). In my e6510 it is Fn+arrow up to change brightness. Fn+arrow left (to activate / deactivate automatic brightness adjustment) may also work.

Alfe (alfeberlin) wrote :

John, I am not sure whether I also tried Fn-F8 (which has a laptop/screen icon on it) (p=70%). I'm also not sure whether I tried it more than once (p=10%). Sorry for being so vague; I just tried everything which came to mind. Also closing and opening the lid didn't help.

Manuel, I did not try brightness changes; nice idea :-)

I also found out that Windows-P in my configuration does something with my displays (turning them or something like that), maybe that can help as well.

I just tried to reproduce the problem reported in #194 but couldn't (tried it twice just now). The laptop screen always refreshed properly after resuming from suspend without the second monitor. I will try to reproduce the problem again in the next time and if I manage, I will try your suggestions and report back here. But maybe the problem was due to something else.

Cheers, Alfe

Changed in linux (Ubuntu Maverick):
importance: Undecided → High
Changed in linux (Ubuntu Lucid):
importance: Undecided → High
1 comments hidden view all 226 comments

I have the same problem in openSUSE 11.4 Milestone 5 with Dell Optiplex 980 with two dual head graphic cards.

Symptoms: Grub appears, then initial kernel splash, then screen goes to sleep. Finally X screen appears after several seconds. Ctrl+Alt+F1 causes screen freeze (X display is still visible, but does not react), pressing Ctrl+Alt+F7 returns back.

Summary: Console does not work. Grub, initial kernel splash and X works.

I can provide hwinfo.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-5.32

---------------
linux (2.6.38-5.32) natty; urgency=low

  [ Andy Whitcroft ]

  * rebase to mainline 6f576d57f1fa0d6026b495d8746d56d949989161
  * [Config] updateconfigs following rebase to v2.6.38-rc6
  * [Config] enable CONFIG_DMAR
    - LP: #552311

  [ Upstream Kernel Changes ]

  * drm/i915: skip FDI & PCH enabling for DP_A
    - LP: #561802, #600453, #681877

  [ Major Kernel Changes ]

  * rebase from v2.6.38-rc5 to v2.6.38-rc6
    - LP: #718402
    - LP: #719524
    - LP: #721126
    - LP: #719691
    - LP: #722689
    - LP: #722310
 -- Andy Whitcroft <email address hidden> Tue, 22 Feb 2011 13:28:39 +0000

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
1 comments hidden view all 226 comments
Bart Staal (bart.staal) wrote :

I also have a E6510 with these problems (on maverick). I tried the #185 kernel (just installed on maverick) and this solves all the problems. Is there any chance this fixes will be backported to 10.10? Or is it safe to run this kernel (which is meant for Natty)?

Hi all
I am running the Bugfix from #185 for some days now ..
During this time I had two major system crashes related with our problem
here:
See dmesg output:

[36261.219478] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer
elapsed... GPU hung
[36261.221592] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request
returns -11 (awaiting 10239609 at 10239591, next 10239626)
[36261.232508] dell-wmi: Received unknown WMI event (0x11)
[36261.728908] dell-wmi: Received unknown WMI event (0x11)
[36263.449835] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer
elapsed... GPU hung
[36263.449869] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request
returns -11 (awaiting 10239627 at 10239591, next 10239637)
[36263.450249] [drm:i915_reset] *ERROR* GPU hanging too fast, declaring
wedged!
[36263.450255] [drm:i915_reset] *ERROR* Failed to reset chip.
[36264.946873] Xorg[1012]: segfault at 0 ip 080a4182 sp bfcaae5c error 4 in
Xorg[8048000+1ab000]

This resulted in black screen and I had to reboot.
uname -a
Linux ucl03371 2.6.38-4-generic #31~lp561802v201102162013 SMP Wed Feb 16
20:16:02 UTC 2011 i686 i686 i386 GNU/Linux
 dpkg -l | grep intel
ii intel-gpu-tools
1.0.2+git20100324-0ubuntu1 tools for debugging the Intel
graphics driver
ii libdrm-intel1
2.4.23-1ubuntu3 Userspace interface to
intel-specific kernel DRM services -- runtime
ii xserver-xorg-video-intel
2:2.14.0-1ubuntu9 X.Org X server -- Intel i8xx,
i9xx display driver

regards
Chewie

hleong (excel28) wrote :

I've noticed something interesting with the brightness. I pushed Fn+Left arrow (disable/enable auto brightness) by accident and now I noticed that I don't see the weird brightness. Maybe this is causing the issue?

uname -a
Linux mobuntu6510 2.6.38-5-generic #32~lucid1-Ubuntu SMP Tue Feb 22 18:11:26 UTC 2011 x86_64 GNU/Linux

Michael Bell (bellmr) wrote :

Hello, I've been tracking this bug for a while but haven't tried testing anything until now. I've installed the x64 kernel from #185 on my E6510 (Full HD & intel graphics) over Maverick and it does not appear to work for me unless I add the option i915.modeset=0 to the kernel options at boot as before. If I do not do this and leave the default kernel options, it boots to a text login and shows the message:

[ 13.039854] intel ips 0000:00:1f.6: failed to get i915 symbols, graphics turbo disabled

Now, I'm not terribly experienced with this sort of thing, so I may have done something wrong.

uname -a
Linux mrbell-e6510 2.6.38-4-generic #31~lp561802v201102162013 SMP Wed Feb 16 20:31:41 UTC 2011 x86_64 GNU/Linux

Steven (svanpoeck) wrote :

Same as comment #203 here on a DELL Latitude E6510 with resolution 1600x900 x64 kernel.

I rolled back to the standard kernel, which BTW, functions "correctly" despite the "failed to get i915 symbols, graphics turbo disabled" message: Wakeup after suspend always results in black screen, most of the times when I close the lid without locking the screen is does the same, even if I specified that closing lid should just black screen, not suspend.

Sometimes when plugging out/in on a docking station with an external monitor, it all goes black too.

No other options than hard reboot 4secs on Power button

Steven

Michael Bell (bellmr) wrote :

As an update to #203, I've installed 11.04 alpha 3 (2.6.38-5-generic) a few hours ago and so far things seem to be working great. Boot is good, suspend/resume works. I haven't tried the external monitor yet.

Seth Forshee (sforshee) wrote :

I backported the fix from natty to maverick (along with several other things required by the fix). I've posted kernel builds at

http://people.canonical.com/~sforshee/lp681877/

The backport was a little tricky, so I'm not really sure whether it is completely correct or if there's any chance of getting this into a maverick SRU due to the amount of changes required. Testing is appreciated. Please report results back here.

Alfe (alfeberlin) wrote :

Seth, I installed your kernel on Ubuntu 10.10, Dell Latitude E6510 with Intel graphics 1920x1080.

Unfortunately, neither standalone nor with a second monitor attached did the main screen light up after mode switch during booting. The second monitor worked fine. It's attached via a docking station and a display port cable.

There is a slight chance that I failed in choosing your kernel when booting; installation of the debs provided by you told me that this would mean upgrading an installed package, so I figured that now my installed 2.6.35-28 was going to be upgraded. This kernel (35-28) then I chose on boot-time, though the grub menu did not display any of your complicated version number suffixes, resulting from the detailed patch level stuff.

I' love to run further tests because I'd like to step down from the upstream 2.6.38 patch I'm using currently as this prevents me from using a VMware installation (some different trouble) and doesn't seem too stable as a whole.

Alfe

Seth Forshee (sforshee) wrote :

@Alfe, thanks for testing. You can check whether or not you're using the test kernel kernel by running 'cat /proc/version_signature' in a terminal. With the test kernel the output should have ~lp681877v201114131625 at the end, whereas a stock kernel would not.

Alfe (alfeberlin) wrote :

Seth, I checked using your instruction. I was testing the kernel you provided; so this is bad news :-/

Seth Forshee (sforshee) wrote :

@Alfe, thanks for checking. I'll double-check my backport for mistakes, but there may be other changes that are also needed to fix this problem for maverick.

Mark Russell (marrusl) wrote :

@Seth, do you expect this would be the same with the E6410? You also posted the same kernel to Bug #561802 so I'm guessing we would expect the same results. But if it would help to get confirmation I can ask a customer to give it a go. Otherwise, I'll just wait for the next proposed fix. Thanks!

In general I have my doubts about backporting/SRUing this... I'm worried that part of the resolution is in the natty kernel and part is in the natty X stack.

Seth Forshee (sforshee) wrote :

@Mark:

I posted to all three bugs that the changelog indicates are fixed by the backported patch. I wouldn't be surprised at all if other changes were part of the resolution, even if the X stack isn't involved, as related parts of the kernel driver have seen very significant change between maverick and natty. Note though that comments #200 and #201 on bug #561802 indicate that using a natty kernel with maverick fixes the problem on the E6410, which would contradict the idea that a fix to the X stack is needed.

It would be helpful to have testing on an E6410 if possible, but I'm not very hopeful of it working since it didn't help with the E6510.

Hello,

The same problem for:

eMachines e525.

On splashscreen everything seems to load OK, but screen is very dark and I cannot see anything - but system is loaded OK. When I clcik "CTRL+ALT+DEL" i see windows with menu to Shutdown/Reboot - but it's very dark, almost invisible. After 30 seconds system shutdown perfectly. With nomodeset everything seems to be OK, but with KWIN 3D efects KDE hangs randomly. I can provide lspci, hwinfo etc.

Greetings

Sorry I forgot to write that for me problem exists after kernel update on 11.3 and even on Live CD in 11.4 and 11.2 Mileston 5.

I don't know if this issue is relative, or I should create a new one.

greetings

Ara Pulido (apulido) on 2011-12-01
tags: removed: blocks-hwcert

Hi,
Seems that the bug is back with kernel 3.0.15... :-\
Stéphane

Francisco Cribari (cribari) wrote :

Yes, the problem is back with kernel 3.0.0-15. Blank screen at boot.

Masseuro (aurelien-masfrand) wrote :

back -_-

Chewie (hannes-woelfler) wrote :

i can also confirm that the bug is back again after the latest update to 3.0.15..

marcstraemke (marcstraemke) wrote :

Having the Same Issue (E6510) with 3.0.15, Display does not turn on if booted in Docking Station with Lid closed.

If the lid is open at boot time and closed at display manager login screen it works.

Manuel Carro (mcarro) wrote :

Ubuntu kernel 3.2.0-15-generic (compiled from sources following http://blog.avirtualhome.com/2012/01/13/compile-linux-kernel-3-2-for-ubuntu-11-10/) boots with graphics (and they seem to be snappier, but this may be just my impression). However, when it resumes after suspension the screen remains blank, and it does not seem to hibernate properly.

I have a del 6550 with an ironlake chip (IIRC).

On Wed, 08 Feb 2012 21:35:39 -0000, Manuel Carro <email address hidden> wrote:
> Ubuntu kernel 3.2.0-15-generic (compiled from sources following
> http://blog.avirtualhome.com/2012/01/13/compile-linux-kernel-3-2-for-
> ubuntu-11-10/) boots with graphics (and they seem to be snappier, but
> this may be just my impression). However, when it resumes after
> suspension the screen remains blank, and it does not seem to hibernate
> properly.

manuel, that sounds very much like bug 902657.

Manuel Carro (mcarro) wrote :

Hi. Ubuntu kernel 3.0.0-14 works for me whild 3.0.0-15 already fails to start the graphic system. Is there a public git / svn / whatever with the Ubuntu kernel (and instructions to compile) so that I can try to bissect the problem?

Thanks everyone.

Manuel Carro (mcarro) wrote :

Hi. Kernel 3.0.0-16 works for me.

Doros Eracledes (d-eracledes) wrote :

changing to GRUB_CMDLINE_LINUX_DEFAULT="quiet acpi_osi=Linux" did the job for me.

 I'm running Ubuntu 11.10 amd64 on an HP 2540p EliteBook.

$ sudo lspci -v -s 00:02.0
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller])
        Subsystem: Hewlett-Packard Company Device 7008
        Flags: bus master, fast devsel, latency 0, IRQ 45
        Memory at d0000000 (64-bit, non-prefetchable) [size=4M]
        Memory at c0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 5058 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [d0] Power Management version 2
        Capabilities: [a4] PCI Advanced Features
        Kernel driver in use: i915
        Kernel modules: i915

JC Hulce (soaringsky) wrote :

This bug affects Ubuntu 10.10, Maverick Meerkat. Maverick has reached end-of-life and is no longer supported, so I am closing the bugtask for Maverick. Please upgrade to a newer version of Ubuntu.
More information here: https://lists.ubuntu.com/archives/ubuntu-announce/2012-April/000158.html

Changed in linux (Ubuntu Maverick):
status: Triaged → Invalid

With the coming release of openSUSE 12.2, openSUSE kernel developers are focusing their efforts there. Reports against openSUSE 11.4 and prior will not get the attention needed to resolve them before openSUSE 12.2 is release and openSUSE 11.4 becomes unmaintained.

Please re-test with openSUSE 12.1 or openSUSE RC2+ and re-open with an updated Product if you still encounter your issue.

We apologize for this issue not getting the attention it deserves but we are focusing our resources in the area where they will have the most impact for our users. We're working hard to make openSUSE 12.2 the best openSUSE release yet!

Changed in linux (openSUSE):
status: Confirmed → Won't Fix
Displaying first 40 and last 40 comments. View all 226 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.